FROM adoptopenjdk/openjdk11:x86_64-debianslim-jdk-11.0.24_8-slim

WORKDIR /app
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' >/etc/timezone
COPY bin/devops-agent.jar /app/devops-agent.jar
COPY bin/agent.json /app/agent.json

ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-Djava.awt.headless=true","-jar","/app/devops-agent.jar", "agent.json"]
